ISOTPSNIFFER(1)

NAME
isotpsniffer - manual page for isotpsniffer 2023.03-1build1

SYNOPSIS
isotpsniffer [options] <CAN interface>

OPTIONS

-s <can_id>
    (source can_id. Use 8 digits for extended IDs)

-d <can_id>
    (destination can_id. Use 8 digits for extended IDs)

-x <addr>
    (extended addressing mode)

-X <addr>
    (extended addressing mode - rx addr)

-c  (color mode)

-t <type>
    (timestamp: (a)bsolute/(d)elta/(z)ero/(A)bsolute w date)

-f <format>
    (1 = HEX, 2 = ASCII, 3 = HEX & ASCII - default: 3)

-L <mtu>:<tx_dl>:<tx_flags>
    (link layer options for CAN FD)

-h <len>
    (head: print only first <len> bytes)

CAN IDs and addresses are given and expected in hexadecimal values.